Subject: Re: [Sigtran] SCTP Multihoming

From: "Nemana, Satya" <[email-masked]>
Date: Mon, 3 Oct 2011 04:24:55 -0400

Hi Chris

Thank you for taking time to answer.
I now understand (it just took this long, with help from a Guru in a
Linux forums) that iproute2 has to be used to have the desired
functionality that I want here (4 paths)
Older implementations don't have this, so will have to be contented with
just 2 paths.
In any case, this has only to do with the IP routing and SCTP does not
have to do anything to do here, but to request a retransmission if case
of no acks on one path.

Thanks,

Regards,
Satya

-----Original Message-----
From: Chris Benson [mailto:[email-masked]] 
Sent: 26 September 2011 17:57
To: Nemana, Satya
Cc: [email-masked]
Subject: Re: [Sigtran] SCTP Multihoming

Satya,

There are four combinations of end-point pairs.
Two of them may or may not be "usable".

It is desirable (but not always possible) for an IP layer
to comply with IP-user specification of the local outgoing
originating source IP address.

SCTP is the IP-user, and so can/should/will specify the 
originating local source IP address. This restricts IP's local 
selection of outgoing interface, and any routing decisions are 
made from within that restricted context.  Each single interface 
may be on physically distinct hardware, or they may be shared 
through one physical egress.  Either way, the concept is the 
same.

FOUR USABLE:
============
If the inter-network cloud is such that all source IP addresses 
can eventually/somehow reach all destination IP addresses, such 
as in the Internet context, then there are four usable paths.

TWO USABLE, TWO NOT:
====================
It is possible to construct two distinct isolated "private" IP 
networks: one for your IP1 addresses, and a separate unconected 
one for your IP2 addresses.  There would only be two USABLE
paths, but under certain circumstances SCTP might TRY all 
four end-point combinations, and will discover the lack of 
connectivity.

With thanks, from Chris Benson.

On Mon, 26 Sep 2011, Nemana, Satya wrote:

>>  Date: Mon, 26 Sep 2011 11:44:59 -0400
>>  From: "Nemana, Satya" <[email-masked]>
>>  To:  <[email-masked]>
>>  Subject: [Sigtran] SCTP Multihoming
>>  
>>  Hi
>>  
>>   
>>  
>>  I have query on SCTP Multi-homing with respect to primary and
secondary
>>  paths.
>>  
>>  Assuming two endpoints using multi-homing, 
>>  
>>  End-Point-1, EP1 has IP addresses EP1-IP1 and EP1-IP2, 
>>  
>>  End-Point-2, EP2 has IP addresses EP2-IP1 and EP2-IP2.
>>  
>>  Both of these interfaces are in completely different networks with
>>  different routers, etc connecting them indirectly.
>>  
>>   
>>  
>>  Under this scenario would there be 
>>  
>>  2 paths between the two end points (EP1-IP1 <-> EP2-IP1 as path #1
and
>>  EP1-IP2 <-> EP2-IP2 as Path#2) or 
>>  
>>  4 paths using (EP1-IP1 <-> EP2-IP1 as path #1 and EP1-IP1 <->
EP2-IP2 as
>>  Path#2 , EP1-IP2 <-> EP2-IP1 as path#3 and EP1-IP2 <-> EP2-IP2)
>>  
>>   
>>  
>>  If there are 4 paths, how would IP routing take care of such a
scenario,
>>  i.e how would the route tables look like on EP1?
>>  
>>  How can EP1 have 2 routes to the same EP2-IP1 IP address through 2
>>  different local interfaces on EP1?
>>  
>>   
>>  
>>  TIA,
>>  
>>   
>>  
>>  Regards,
>>  
>>  Satya
>>  
>>